This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 873908 - CVE-2011-5241 php-pear-Service-Twitter: does not verify that a server hostname matches a domain name in the CN or subjectAltName field of X.509 certs [epel-6]
CVE-2011-5241 php-pear-Service-Twitter: does not verify that a server hostnam...
Status: NEW
Product: Fedora EPEL
Classification: Fedora
Component: php-pear-Services-Twitter (Show other bugs)
el6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
fst_owner=pjp
: Security, SecurityTracking
Depends On:
Blocks: CVE-2011-5241
  Show dependency treegraph
 
Reported: 2012-11-06 18:06 EST by Vincent Danen
Modified: 2014-11-13 09:25 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2012-11-06 18:06:20 EST
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora EPEL.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

epel-6 tracking bug for php-pear-Services-Twitter: see blocks bug list for full details of the security issue(s).

[bug automatically created by: add-tracking-bugs]
Comment 1 Vincent Danen 2012-11-06 18:06:27 EST
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=873906,873908
Comment 2 pjp 2014-11-01 07:35:02 EDT
  -> https://bugzilla.redhat.com/show_bug.cgi?id=873906#c1
 
From above comment it seems the issue is unrelated to the php-pear-Services-Twitter package, it does not support ssl_verify_peer over SSL

  -> https://github.com/pear/Services_Twitter/blob/trunk/Services/Twitter.php#L489

Could this bug be closed if it's not going to be fixed?
Comment 3 pjp 2014-11-13 07:21:09 EST
Hello Remi, you plan to fix it?
Comment 4 Remi Collet 2014-11-13 07:23:54 EST
This package is mostly dead upstream...

So I need to check I can fix it myself, and if it still work.
Comment 5 pjp 2014-11-13 09:25:02 EST
  Hello Remi,

(In reply to Remi Collet from comment #4)
> This package is mostly dead upstream...
> So I need to check I can fix it myself, and if it still work.

  Well, in that case IMO, best course is to retire the package and close any bugs against it.

Please see:
  -> https://fedoraproject.org/wiki/How_to_remove_a_package_at_end_of_life

Thank you.

Note You need to log in before you can comment on or make changes to this bug.